package org.insa.graphs.algorithm.shortestpath;

import java.util.ArrayList;
import org.insa.graphs.model.Node;

public class AStarAlgorithm extends DijkstraAlgorithm {

    public AStarAlgorithm(ShortestPathData data) {
        super(data);
    }

    @Override
    public ArrayList<Label> Init(int tailleGraphe, Node destination)
    {
        Label currentLabel;
        ArrayList<Label> labelSommets = new ArrayList<Label>();
        for(int i = 0; i< tailleGraphe; i++ )
        {
            currentLabel = new LabelStar(data.getGraph().get(i), destination, data.getMode());
            labelSommets.add(currentLabel);
        }
        return labelSommets;

    }
    

}
